
"""
backend package for units
"""

from .units import BaseUnit, NamedCompoundUnit

REGISTRY = dict()

def base_unit(symbol, name, description, is_SI):
	if(symbol in REGISTRY):
		return REGISTRY[symbol]
	unit = BaseUnit(symbol, name, description, is_SI)
	REGISTRY[symbol] = unit
	return unit

def compound_unit(symbol, name, description, bases):
	if(symbol in REGISTRY):
		return REGISTRY[symbol]
	unit = NamedCompoundUnit(symbol, name, description, bases)
	REGISTRY[symbol] = unit
	return unit


